## org.codehaus.groovy.reflection
Class ClassLoaderForClassArtifacts

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

Direct Known Subclasses:
  CallSiteClassLoader

    public class ClassLoaderForClassArtifacts

extends ClassLoader

Field Summary
`SoftReference<Class>` `klazz`

Constructor Summary
`ClassLoaderForClassArtifacts(Class klazz)`

Method Summary
`String` `createClassName(Method method)`
`Class` `define(String name, byte[] bytes)`
`Constructor` `defineClassAndGetConstructor(String name, byte[] bytes)`
`Class` `loadClass(String name)`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### klazz

    public final SoftReference<Class> klazz

Constructor Detail

### ClassLoaderForClassArtifacts

    public ClassLoaderForClassArtifacts(Class klazz)

Method Detail

### define

    public Class define(String name,
                        byte[] bytes)

### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### createClassName

    public String createClassName(Method method)

### defineClassAndGetConstructor

    public Constructor defineClassAndGetConstructor(String name,
                                                    byte[] bytes)

Copyright © 2003-2009 The Codehaus. All rights reserved.